<?php
/**
 * @file
 * Views CK injector template.
 */

$views_list = array();

// Get all views created in drupal.
$sql = 'SELECT views_view.name,views_display.id FROM views_display LEFT JOIN views_view ON views_view.vid=views_display.vid ORDER BY views_view.name, views_display.id=\'default\' DESC, views_display.id';
$res = db_query($sql);
if ($res) {
  while ($row = db_fetch_array($res)) {
    $views_list[$row['name'] . ':' . $row['id']] = $row['name'] . ' : ' . $row['id'];
  }
}

$params = array(
  'View name' => array(
    'type' => 'dropdown',
    'options' => $views_list,
    'weight' => 1,
  ),
  'Argument 1' => array(
    'type' => 'textbox',
    'weight' => 2,
  ),
  'Argument 2' => array(
    'type' => 'textbox',
    'weight' => 3,
  ),
  'Argument 3' => array(
    'type' => 'textbox',
    'weight' => 4,
  ),
  'Argument 4' => array(
    'type' => 'textbox',
    'weight' => 5,
  ),
  'Argument 5' => array(
    'type' => 'textbox',
    'weight' => 6,
  ),
);

if (function_exists('views_embed_view') && !empty($parameter_values)) {
  ?>
  <div class="injected viewsInjectorWrapper">
  <?php 
  $view_exp = explode(':', $parameter_values[0]);
  if (!empty($view_exp[1])) {
    $args = $view_exp;
    for ($i = 1; $i < count($parameter_values); $i++) {
      if ('' !== $parameter_values[$i]) {
        $args[] = $parameter_values[$i];
      }
    }
    echo call_user_func_array('views_embed_view', $args);
  }
  ?>
  </div>
  <?php
}
